Get the behavior desk
Animals on the hold_behavioral status, incidents not reviewed, quarantines running with their next check, active plans due a review, animals in the shelter not out of their kennels today in your organization’s day, and open case reviews, each list with its count by species. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
behavior-desk
Get the behavior desk
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/behavior-desk \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/behavior-desk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/behavior-desk"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"today": "2023-12-25",
"holds": [
{
"id": "<string>",
"species": "<string>",
"name": "<string>",
"status": "<string>",
"photo_file_id": "<string>",
"handling_level": "<string>"
}
],
"incidents": [
{
"id": "<string>",
"species": "<string>",
"name": "<string>",
"status": "<string>",
"photo_file_id": "<string>",
"handling_level": "<string>"
}
],
"quarantines": [
{
"id": "<string>",
"species": "<string>",
"name": "<string>",
"status": "<string>",
"photo_file_id": "<string>",
"handling_level": "<string>"
}
],
"plans": [
{
"id": "<string>",
"species": "<string>",
"name": "<string>",
"status": "<string>",
"photo_file_id": "<string>",
"handling_level": "<string>"
}
],
"not_out": [
{
"id": "<string>",
"species": "<string>",
"name": "<string>",
"status": "<string>",
"photo_file_id": "<string>",
"handling_level": "<string>"
}
],
"cases": [
{
"id": "<string>",
"species": "<string>",
"name": "<string>",
"status": "<string>",
"photo_file_id": "<string>",
"handling_level": "<string>"
}
],
"counts": {},
"checks": [
{
"id": "<string>",
"species": "<string>",
"name": "<string>",
"status": "<string>",
"photo_file_id": "<string>",
"handling_level": "<string>"
}
],
"settings": {
"signoffs_required": 5,
"min_days_in_care": 30,
"check_reasons": [
"<string>"
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
Response
The desk.
⌘I
Get the behavior desk
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/behavior-desk \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/behavior-desk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/behavior-desk"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"today": "2023-12-25",
"holds": [
{
"id": "<string>",
"species": "<string>",
"name": "<string>",
"status": "<string>",
"photo_file_id": "<string>",
"handling_level": "<string>"
}
],
"incidents": [
{
"id": "<string>",
"species": "<string>",
"name": "<string>",
"status": "<string>",
"photo_file_id": "<string>",
"handling_level": "<string>"
}
],
"quarantines": [
{
"id": "<string>",
"species": "<string>",
"name": "<string>",
"status": "<string>",
"photo_file_id": "<string>",
"handling_level": "<string>"
}
],
"plans": [
{
"id": "<string>",
"species": "<string>",
"name": "<string>",
"status": "<string>",
"photo_file_id": "<string>",
"handling_level": "<string>"
}
],
"not_out": [
{
"id": "<string>",
"species": "<string>",
"name": "<string>",
"status": "<string>",
"photo_file_id": "<string>",
"handling_level": "<string>"
}
],
"cases": [
{
"id": "<string>",
"species": "<string>",
"name": "<string>",
"status": "<string>",
"photo_file_id": "<string>",
"handling_level": "<string>"
}
],
"counts": {},
"checks": [
{
"id": "<string>",
"species": "<string>",
"name": "<string>",
"status": "<string>",
"photo_file_id": "<string>",
"handling_level": "<string>"
}
],
"settings": {
"signoffs_required": 5,
"min_days_in_care": 30,
"check_reasons": [
"<string>"
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
